Name:           modoboa
Version:        1.1.7
Release:        1%{?dist}
Summary:        Mail hosting and management platform
Group:          Applications/Communications
License:        MIT
URL:            http://modoboa.org
Source0:        https://pypi.python.org/packages/source/m/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
Requires:       python-django
Requires:       python-django-reversion
Requires:       python-django-south
Requires:       python-django-database-url
Requires:       python-factory-boy
Requires:       python-rfc6266
Requires:       python-sievelib
Requires:       python-chardet
Requires:       python-crypto
Requires:       python-lxml
Requires:       rrdtool-python
Requires:       MySQL-python

%description
Modoboa is a mail hosting and management platform including a modern and
simplified Web User Interface. It provides useful components such as an
administration panel or a webmail.

Modoboa integrates with well known software such as Postfix or Dovecot.
A SQL database (MySQL, PostgreSQL or SQLite) is used as a central point of
communication between all components.
Modoboa is developed with modularity in mind, expanding it is really easy.

%package doc
Group: Documentation
Summary: %{name} docs
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for Modoboa mail hosting and management platform.

%prep
%setup -qn %{name}-%{version}

%build
%{__python2} setup.py build
pushd doc
make html text man
find -name .buildinfo -exec rm -f {} \;
popd

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -D -m 644 doc/.build/man/modoboa.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}-admin.py
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-*.egg-info

%files doc
%doc COPYING PKG-INFO README.rst
%doc doc/.build/html
%doc doc/.build/text
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Dec 02 2014 Juan Orti <jorti@fedoraproject.org> - 1.1.7-1
- Update to 1.1.7
- Add doc subpackage

* Fri May 23 2014 Didier Fabert <didier.fabert@gmail.com> 1.1.2-1
- Initial package
